Debian Bug report logs - #726960
units: exit of value of units --version is non 0

version graph

Package: units; Maintainer for units is Stephen Kitt <skitt@debian.org>; Source for units is src:units.

Reported by: Carnë Draug <carandraug+dev@gmail.com>

Date: Sun, 20 Oct 2013 23:18:01 UTC

Severity: normal

Tags: upstream

Found in versions 1.88, units/1.88-1

Fixed in version units/2.10-1

Done: Stephen Kitt <skitt@debian.org>

Forwarded to adrianm@gnu.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carandraug+dev@gmail.com, Stephen Kitt <skitt@debian.org>:
Bug#726960; Package units. (Sun, 20 Oct 2013 23:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carnë Draug <carandraug+dev@gmail.com>:
New Bug report received and forwarded. Copy sent to carandraug+dev@gmail.com, Stephen Kitt <skitt@debian.org>. (Sun, 20 Oct 2013 23:18:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carnë Draug <carandraug+dev@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: units: exit of value of units --version is non 0
Date: Mon, 21 Oct 2013 00:15:21 +0100
Package: units
Version: 1.88
Severity: normal

Dear Maintainer,

the exit value of "units --version" is 3 instead of 0 (as should be for
success). Check the following:

$ units --version
GNU Units version 1.88
with readline, units database in /usr/share/misc/units.dat
Copyright (C) 2006 Free Software Foundation, Inc.
GNU Units comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GNU Units
under the terms of the GNU General Public License.

$ echo $?
3

I'm trying to use "units --version" in a script to check if units is installed
in the system when I faced with this problem. I found this quite non-standard.
I would expect it to return 0 .



-- System Information:
Debian Release: 7.2
  APT prefers stable
  APT policy: (500, 'stable'), (1, 'experimental'), (1, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_IE.utf8, LC_CTYPE=en_IE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Added tag(s) upstream. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Fri, 03 Jan 2014 22:15:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'adrianm@gnu.org'. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Fri, 03 Jan 2014 22:15:08 GMT) Full text and rfc822 format available.

Marked as found in versions units/1.88-1. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Mon, 31 Mar 2014 05:24:08 GMT) Full text and rfc822 format available.

Reply sent to Stephen Kitt <skitt@debian.org>:
You have taken responsibility. (Mon, 31 Mar 2014 05:24:18 GMT) Full text and rfc822 format available.

Notification sent to Carnë Draug <carandraug+dev@gmail.com>:
Bug acknowledged by developer. (Mon, 31 Mar 2014 05:24:18 GMT) Full text and rfc822 format available.

Message #16 received at 726960-done@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: Carnë Draug <carandraug+dev@gmail.com>, 726960-done@bugs.debian.org
Subject: Re: Bug#726960: units: exit of value of units --version is non 0
Date: Mon, 31 Mar 2014 07:22:52 +0200
[Message part 1 (text/plain, inline)]
Control: fixed units/2.10-1

Hi Carnë,

On Mon, 21 Oct 2013 00:15:21 +0100, Carnë Draug <carandraug+dev@gmail.com>
wrote:
> the exit value of "units --version" is 3 instead of 0 (as should be for
> success). Check the following:

This is fixed in version 2.10.

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Marked as fixed in versions units/2.10-1. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Mon, 31 Mar 2014 05:33:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:05:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.